## com.fasterxml.jackson.databind.ser.std
Class StdArraySerializers.TypedPrimitiveArraySerializer<T>

    java.lang.Object
      com.fasterxml.jackson.databind.JsonSerializer<T>
          com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
              com.fasterxml.jackson.databind.ser.ContainerSerializer<T>
                  com.fasterxml.jackson.databind.ser.std.ArraySerializerBase<T>
                      com.fasterxml.jackson.databind.ser.std.StdArraySerializers.TypedPrimitiveArraySerializer<T>

All Implemented Interfaces:
  JsonFormatVisitable, SchemaAware

Direct Known Subclasses:
  StdArraySerializers.FloatArraySerializer, StdArraySerializers.LongArraySerializer, StdArraySerializers.ShortArraySerializer

Enclosing class:
  StdArraySerializers

    protected abstract static class StdArraySerializers.TypedPrimitiveArraySerializer<T>

extends ArraySerializerBase<T>

Intermediate base class used for cases where we may add type information (excludes boolean/int/double arrays).

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer
`JsonSerializer.None`

Field Summary
`protected TypeSerializer` `_valueTypeSerializer` Type serializer to use for values, if any.

Fields inherited from class com.fasterxml.jackson.databind.ser.std.ArraySerializerBase
`_property`

Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`_handledType`

Constructor Summary
`protected` `StdArraySerializers.TypedPrimitiveArraySerializer(Class<T> cls)`
`protected` `StdArraySerializers.TypedPrimitiveArraySerializer(StdArraySerializers.TypedPrimitiveArraySerializer<T> src, BeanProperty prop, TypeSerializer vts)`

Method Summary

Methods inherited from class com.fasterxml.jackson.databind.ser.std.ArraySerializerBase
`serialize, serializeContents, serializeWithType`

Methods inherited from class com.fasterxml.jackson.databind.ser.ContainerSerializer
`_withValueTypeSerializer, getContentSerializer, getContentType, hasContentTypeAnnotation, hasSingleElement, isEmpty, withValueTypeSerializer`

Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`acceptJsonFormatVisitor, createObjectNode, createSchemaNode, createSchemaNode, getSchema, getSchema, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow`

Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer
`getDelegatee, isUnwrappingSerializer, replaceDelegatee, unwrappingSerializer, usesObjectId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _valueTypeSerializer

    protected final TypeSerializer _valueTypeSerializer

  Type serializer to use for values, if any.

Constructor Detail

### StdArraySerializers.TypedPrimitiveArraySerializer

    protected StdArraySerializers.TypedPrimitiveArraySerializer(Class<T> cls)

### StdArraySerializers.TypedPrimitiveArraySerializer

    protected StdArraySerializers.TypedPrimitiveArraySerializer(StdArraySerializers.TypedPrimitiveArraySerializer<T> src,
                                                                BeanProperty prop,
                                                                TypeSerializer vts)

Copyright © 2012 FasterXML. All Rights Reserved.